%% function: calculate scores on training data and fit the logistic modes
%% input:  protein dataset, EBindex,
% stats.AApropensity = AApropensity;
% stats.Pairpropensity = Pairpropensity;
% stats.Trianglepropensity = Trianglepropensity;
% stats.neighborhood_intra = neighborhood_intra;
% stats.neighborhood_inter = neighborhood_inter;
% propensity for contactSites, noncontactSites, and difference between them
%% output: logistic coefficients
function fitscores = CalculateFitmodels_final (protein1, EBindex1, allscores, fits, allmodels)

if ~iscell(protein1)
    protein{1} = protein1;
    EBindex{1} = EBindex1;
    clear protein1;
    clear EBindex1;
else
    protein = protein1;
    EBindex = EBindex1;
    clear protein1;
    clear EBindex1;
end

clear inputData;
clear scores;
for i = 1 : size(protein,2)
    target{i} = [];
    for j = 1 : size(allscores,2)
        scores{i}(j,:) = allscores{j}{i};  
    end
end
inputData = MakeInputDataForLGModelFinal(scores, target, 1);
clear FitScoreForSite;
for k = 1 : size(allmodels,1)
    clear fitscore;
    fitscore = glmval(fits.coeff{k}, inputData.x(:,allmodels(k,:)==1), 'logit');
    t = 1;
    for i = 1 : size(protein,2)
        for j = 1 : protein{i}.aln.nogap.length
            FitScoreForSite{i,k}(1,j) = fitscore(t);
            t = t + 1;
        end
    end
end

%%
for i = 1 : size(protein,2)
    for j = 1 : size(FitScoreForSite,2)
        fitscores{j}{i} = onlyexposed(FitScoreForSite{i,j},EBindex{i});
    end
end
