%% call joy assign secondary structures and exposed/buried properties
function result = JoyInformation(protein1, datapath)

if ~iscell(protein1)
    protein{1} = protein1;
else
    protein = protein1;
end
joycannot = [];
clear joypsa;
for i = 1 : size(protein,2)
     t = 1;  
     % call joy for each protein       
     for j = 1 : size(protein{i}.aln.domain.number,2)
          % run Joy for each domain
         [s,w] = runUnix(datapath, ['psa ', datapath, 'Domain', num2str(j), protein{i}.names, '.pdb'])         
         if s == 255
             joycannot = [joycannot, j];
         end       
         % psa for domain
         clear structure_info;
         structure_info = pdbread([datapath, 'Domain', num2str(j), protein{i}.names, '.pdb']);
         clear domainjoypsa;         
         domainjoypsa = readpsaJoy([datapath, 'Domain', num2str(j), protein{i}.names, '.psa'], ...
             structure_info);      
         for k = 1 : size(domainjoypsa,2)             
             joypsa{i}(t) = domainjoypsa(k);
             t = t + 1;
         end
     end 
end

% EBindex == 2 --> exposed
%         == 1 --> buried
%         == 0 --> no structure information
for i = 1 : size(protein,2)
    clear residue; clear locationMSA;
    residue = protein{i}.aln.nogap.residue;
    locationMSA = protein{i}.aln.nogap.locationMSA;
    EBindex{i} = zeros(1,protein{i}.aln.nogap.length);
    for j = 1 : size(residue.number,2)
        for k = 1 : size(joypsa{i},2)
            if residue.number(j) == joypsa{i}(k).resnum ...
                    && strcmpi(residue.chain(j), joypsa{i}(k).reschain)
                if joypsa{i}(k).totalside > 7
                    EBindex{i}(locationMSA(j)) = 2;   
                else
                    EBindex{i}(locationMSA(j)) = 1; 
                    break;
                end                 
            end               
        end
    end   
end

result.EBindex = EBindex; 
result.joypsa = joypsa;
