%% calculate different scores
function allscores = claclulaallscores_final(protein1, EBindex1, stats, resultpath, temppath, parameters)
if ~iscell(protein1)
    protein{1} = protein1;
    clear protein1;    
else
    protein = protein1;   
    clear protein1;   
end
if ~iscell(EBindex1)
    EBindex{1} = EBindex1;
    clear EBindex1;
else    
    EBindex = EBindex1;
    clear EBindex1;
end
% 'computing all the scores...'
for i = 1 : size(protein,2)
    i 
    seprate_site = protein{i}.aln.nogap.seprate_site;
    %% different scores ...
    AAscore{i} = pAAScore(protein{i}.aln.nogap.seq, stats, protein{i}.names, temppath);
    fid = fopen([temppath, 'pairwisescore', protein{i}.names, '.mat']);
    if fid == -1       
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        % propensity score
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        % pair propensity
        clear pairScore;
        pairScore = pPairScore(protein{i}.aln.nogap.seq, protein{i}, stats, protein{i}.names, temppath);
        % triangle propensity
        clear triangleNeiScore;
        triangleNeiScore = pTriangleScoreNeighbor(protein{i}.aln.nogap.seq, protein{i}, 'structure', stats, protein{i}.names, temppath, EBindex{i}, parameters);
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        % 'McBASC score'
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        fid = fopen([resultpath, protein{i}.names, 'McBASC.mat']);
        if fid == -1
            clear out;
            out = [resultpath, protein{i}.names, 'SCOutblosum62.txt'];
            clear tempMC;
            clear McBASCScore;
            tempMC = BASCscore(protein{i}.aln.nogap.seq, 'blosum62', out, protein{i}.names, temppath, protein{i}.aln.nogap.seprate_site);
            McBASCScore = tempMC;
            save([resultpath, protein{i}.names, 'McBASC.mat'], 'tempMC');
            clear tempMC;
        else
            fclose(fid);
            clear tempMC; clear McBASCScore;
            load([resultpath, protein{i}.names, 'McBASC.mat']);
            McBASCScore = tempMC;
            clear tempMC;
        end
        % save all pairwise scores
        save([temppath, 'pairwisescore', protein{i}.names, '.mat'], 'pairScore', 'triangleNeiScore', 'McBASCScore');
    else 
        clear pairwisescores;
        pairwisescores = load([temppath, 'pairwisescore', protein{i}.names, '.mat']);
        clear pairScore; clear triangleNeiScore; clear McBASCScore;
        pairScore = pairwisescores.pairScore;
        triangleNeiScore = pairwisescores.triangleNeiScore;
        McBASCScore = pairwisescores.McBASCScore;
    end
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% pair-->site
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% mean abstract
    mpairScore{i} = mean_in_interregion(pairScore, seprate_site, EBindex{i});
    mtriangleNeiScore{i} = mean_in_interregion(triangleNeiScore, seprate_site, EBindex{i});    
    %% max abstract
    mMcBASCScore{i} = max_in_interregion(McBASCScore, seprate_site, EBindex{i});
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% patch score by columns
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% abstract the score again with the intra-domain weights
    clear Intraweight_for_pairscore;
    fidintra = fopen([temppath, 'intraweight', protein{i}.names, '.mat']);
    if fidintra == -1
        Intraweight_for_pairscore = IntraWeightforPairwiseScore(protein{i}, stats, temppath, EBindex{i});
        save([temppath, 'intraweight', protein{i}.names, '.mat'], 'Intraweight_for_pairscore');
    else
        fclose(fidintra);
        load([temppath, 'intraweight', protein{i}.names, '.mat']);
    end    
    wAAscore{i} = Intraweightedscore(Intraweight_for_pairscore, AAscore{i});
    wmpairScore{i} = Intraweightedscore(Intraweight_for_pairscore, mpairScore{i});
    wmtriangleNeiScore{i} = Intraweightedscore(Intraweight_for_pairscore, mtriangleNeiScore{i});    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %% record all the scores
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    allscores.scores{1}{i} = onlyexposed(wAAscore{i}, EBindex{i});
    allscores.scores{2}{i} = onlyexposed(wmpairScore{i}, EBindex{i});   % since the buried residue may have surface neighbors, we need to use onlyexposed here
    allscores.scores{3}{i} = onlyexposed(wmtriangleNeiScore{i}, EBindex{i});
    allscores.scores{4}{i} = mMcBASCScore{i};
    allscores.pairscores{1}{i} = pairScore;
    allscores.pairscores{2}{i} = triangleNeiScore;
    allscores.pairscores{3}{i} = McBASCScore;
end
allscores.scorenames = {'APro', 'PPro', 'TPro', 'EBMcBASC'};
allscores.pairscorenames = {'pairPPro', 'pairTPro', 'pairMcBASC'};


