function displayresultwithjalviewWithLowEntropy(protein, predictions, headerforanotherseq)
entropycutoff(1) = 0.3;
entropycutoff(2) = 0.5;
ID_ref = protein.gi_number;
aln_a = protein.aln.new.seq;
msa_seq_a = find_sequence(aln_a,ID_ref);
demoSeq(1).Header = ID_ref;
demoSeq(1).Sequence = msa_seq_a;
for i = 1 : size(headerforanotherseq,2)
    demoSeq(1+i).Sequence = find_sequence(aln_a, headerforanotherseq{i});
    demoSeq(1+i).Header = ['entropy',num2str(entropycutoff(i))];    
end
jobname = protein.names;
fid = fopen(['./result/alnfordisplay', jobname, '.fa']);
if fid ~= -1
    runUnix('./result/', ['rm -f alnfordisplay', jobname, '.fa']);
    fclose(fid);
end
fastawrite(['./result/alnfordisplay', jobname, '.fa'], demoSeq);
predicted_residues = predictions;
clear predicted_contact_site_for_feature
predicted_contact_site_for_feature = map_feature(predicted_residues,...
    protein.aln.new.residue);
write_feature_file_for_Jalview(demoSeq(1).Header, predicted_contact_site_for_feature,...
    ['precontact',demoSeq(1).Header],...
    ['./result/',jobname, 'predict_feature_',demoSeq(1).Header]);
for i = 1 : size(headerforanotherseq,2)
    clear entropyresidues;
    entropyresidues = findEntropyBelowCutoff(protein, entropycutoff(i));
    clear predicted_contact_site_for_feature;
    predicted_contact_site_for_feature = map_feature(entropyresidues,...
        protein.aln.nogap.residue);
    write_feature_file_for_Jalview(demoSeq(i+1).Header, predicted_contact_site_for_feature,...
        ['precontact',demoSeq(i+1).Header],...
        ['./result/',jobname,'predict_feature_',demoSeq(i+1).Header]);
end
merge_features(['./result/',jobname,'predict_feature_',demoSeq(1).Header],['./result/',jobname,'predict_feature_',demoSeq(2).Header],'./result/temp1.txt');
for i = 3 : size(demoSeq,2)
    merge_features(['./result/', jobname, 'predict_feature_',demoSeq(i).Header],['./result/temp',num2str(i-2),'.txt'],['./result/temp',num2str(i-1),'.txt']);
end
runUnix('./result', ['mv -f temp', num2str(size(demoSeq,2)-1),'.txt ',protein.names,'featurefordisplay.txt']);
for i = 1 : size(demoSeq,2)-2
    runUnix('./result', ['rm -f temp', num2str(i),'.txt']);    
end
runUnix('./result', ['rm -f ',jobname,'predict_feature*']);

