function predictions = toppredictions(topN, mode, result, scoreID)
%% output the topN predictions in order by the residue numbers
switch mode
    case 0
        % top N predictions
        topprediction = top_n_prediction(result.sitescores{scoreID}{1},topN);
    case 1
        % top N predictions on each protein
        topprediction = top_n_prediction_each(result.sitescores{scoreID}{1},topNsep); 
end
[X,XI] = sort(topprediction);
location = [];
for i = 1 : size(X,2)
    if X(i) > 0
        location = [location, XI(i)];
    end
end
locationMSA = result.protein.aln.nogap.locationMSA;
residue = result.protein.aln.nogap.residue;
predictions = get_resnum_from_locationMSA(locationMSA, residue, location);
predictions.scores = result.sitescores{scoreID}{1}(location);
predictions.absEntropy = result.protein.aln.nogap.absEntropy(location);